{% extends 'admin/base.html.twig' %}

{% block title %}Administration des utilisateurs !{% endblock %}

{% block body %}
<div class="container-fluid">
    <h1 class="my-5">Gestion des utilisateurs</h1>

    <table class="table table-hover">
        <thead class="alert alert-dark">
            <tr>
                <th>Id</th>
                <th>Picture/FullName</th>
                <th>Email</th>
                <th>Presentation</th>
                <th>Annonce(s)</th>
                <th>Actions</th>
            </tr>
        </thead>

        <tbody>
            {% for user in users %}
            <tr>
                <td style="vertical-align:center">{{user.id}}</td>
                <td style="vertical-align:middle">
                        <div class="wrapper-avatar" style="display:flex"><img src="{{user.picture}}" alt="Avatar de {{user.fullName}}" class="avatar avatar-micro mr-2">
                        {{user.firstName}} <br>
                        {{user.lastName}} </div>
                    </td>
               <td>
                    {{user.email}}
                </td>
                <td>
                    {{user.presentation}}
                </td>
                <td class="text-center" style="vertical-align:middle; font-size:20px">
                    <span class="badge badge-primary rounded-pill">{{user.ads |length}}</span>
                </td>
                <td>
                    <a href="{{path('admin_user_edit', {'id':user.id})}}" class="btn btn-info"><i class="fas fa-edit"></i></a>
                    <a href="{{path('admin_user_delete', {'id': user.id})}}" class="btn btn-danger"><i class="fas fa-trash"></i></a>
                </td>
            </tr>
            {% endfor %}
        </tbody>
    </table>
</div>
{% endblock %}